T90fromT68 {oce} | R Documentation

## Convert between temperature scales

### Description

Today's instruments typically record in the ITS-90 scale, but some old datasets will be in the IPTS-68 scale. `T90fromT68()` converts from the IPTS-68 to the ITS-90 scale, using Saunders' (1990) formula, while `T68fromT90()` does the reverse. The difference between IPTS-68 and ITS-90 values is typically a few millidegrees (see ‘Examples’), which is seldom visible on a typical temperature profile, but may be of interest in some precise work. Mostly for historical interest, `T90fromT48()` is provided to convert from the ITS-48 system to ITS-90.

### Usage

    T90fromT48(temperature)
    T90fromT68(temperature)
    T68fromT90(temperature)

### Arguments

`temperature` | expressed in one scale

### Value

Temperature expressed in the second scale

### References

P. M. Saunders, 1990. The international temperature scale of 1990, ITS-90. WOCE Newsletter, volume 10, September 1990, page 10. (http://www.nodc.noaa.gov/woce/wdiu/wocedocs/newsltr/news10/contents.htm)

### Examples

    library(oce)
    T68 <- seq(3, 20, 1)
    T90 <- T90fromT68(T68)
    sqrt(mean((T68-T90)^2))

[Package oce version 0.9-18 Index]